## org.w3c.jigadmin.editors
Class ServerHelperFactory

    java.lang.Object
      |
      +--org.w3c.jigadmin.editors.ServerHelperFactory

public class ServerHelperFactory
extends java.lang.Object

The server helper factory.

Field Summary
`static java.lang.String` | `SERVER_HELPER_P`

Constructor Summary
`ServerHelperFactory()`

Method Summary
`static ServerHelperInterface` | `getServerHelper(java.lang.String name, RemoteResourceWrapper rrw)` Get the server helper associated to the given sever name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVER_HELPER_P

    public static final java.lang.String SERVER_HELPER_P

Constructor Detail

### ServerHelperFactory

    public ServerHelperFactory()

Method Detail

### getServerHelper

    public static ServerHelperInterface getServerHelper(java.lang.String name,
                                                        RemoteResourceWrapper rrw)

  Get the server helper associated to the given sever name
  Parameters:
    `name` - the name of the server
    `rrw` - the RemoteResourceWrapper of the server
  Returns:
    a ServerHelperInterface instance